### Method

# Gtk IMMulticontext set_context_id

#### Declaration [src]

    void
    gtk_im_multicontext_set_context_id (
      GtkIMMulticontext* context,
      const char* context_id
    )

#### Description [src]

Sets the context id for `context`.

This causes the currently active delegate of `context` to be replaced by the delegate corresponding to the new context id.

#### Parameters

`context_id` | `const char*`
| The id to use.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.